coap_uri_t Struct Reference

Representation of parsed URI. More...

`#include <uri.h>`

Collaboration diagram for coap_uri_t:
[legend]

## Data Fields

str | host
| host part of the URI More...
unsigned short | port
| The port in host byte order. More...
str | path
| Beginning of the first path segment. More...
str | query
| The query part if present. More...

## Detailed Description

Representation of parsed URI.

Components may be filled from a string with coap_split_uri() and can be used as input for option-creation functions.

Definition at line 20 of file uri.h.

## Field Documentation

## host

str coap_uri_t::host

host part of the URI

Definition at line 21 of file uri.h.

## path

str coap_uri_t::path

Beginning of the first path segment.

Use coap_split_path() to create Uri-Path options

Definition at line 23 of file uri.h.

## port

unsigned short coap_uri_t::port

The port in host byte order.

Definition at line 22 of file uri.h.

## query

str coap_uri_t::query

The query part if present.

Definition at line 25 of file uri.h.

The documentation for this struct was generated from the following file:

- uri.h